RAT-307: Do not build with openJDK8 as it is not supported on Travis anymore with... master
authorP. Ottlinger <pottlinger@apache.org>
Mon, 27 Jun 2022 07:05:36 +0000 (09:05 +0200)
committerP. Ottlinger <pottlinger@apache.org>
Mon, 27 Jun 2022 07:05:36 +0000 (09:05 +0200)
.travis.yml
src/changes/changes.xml

index b455a745bac5606eea04208d43ad28d969050f1f..1b56d79bd7e77345444572e72bcd9fac0affa344 100644 (file)
@@ -4,10 +4,6 @@ sudo: required
 
 jobs:
     include:
-        - name: "Java 8"
-          jdk: openjdk8
-          script: mvn -e -B -V clean package site
-
         - name: "Java 16"
           jdk: openjdk16
           script: mvn -e -B -V clean package site
index 0517b3e2ecbf062bc91705d761c36d94129dd0d9..b67357e8c9723e3806cd35ebf0e052994da60cb3 100644 (file)
@@ -56,6 +56,9 @@ The <action> type attribute can be add,update,fix,remove.
       <action issue="RAT-305" type="fix" dev="pottlinger" due-to="dependabot">
         TODO: collect all dependabot updates for release 0.15.
       </action>
+      <action issue="RAT-307" type="fix" dev="pottlinger" due-to="dependabot">
+        Update to focal (Ubuntu 20.04) on Travis to circumvent build errors and be able to use more modern JDK versions. Deprecate openJDK8 build with focal as it is not supported on Travis.
+      </action>
     </release>
 
     <release version="0.14" date="2022-05-28" description="This release contains dependency updates, bugfixes and many improvements apart from infrastructure updates at ASF.">